Theme
Generate Song (Upload Song Secondary Creation)
POST
https://www.kkiai.com/suno/submit/music
Request Parameters
Authorization
Add the Authorization parameter to the Header, with its value being the Token concatenated after Bearer
Example: Authorization: Bearer ********************
Header Parameters
| Parameter Name | Type | Required | Description | Example |
|---|---|---|---|---|
Content-Type | string | Required | application/json | |
Accept | string | Required | application/json | |
Authorization | string | Optional | Bearer {{YOUR_API_KEY}} |
Body Parameters (application/json)
| Parameter Name | Type | Required | Description |
|---|---|---|---|
prompt | string | Required | |
tags | string | Optional | |
negative_tags | string | Optional | Negative tags, elements you do not want to appear |
mv | string | Required | |
title | string | Required | |
continue_clip_id | string | Required | |
continue_at | integer | Required | |
task | string | Required | Task type, default "extend" |
Request Example
json
{
"prompt": "lyrics",
"tags": "",
"negative_tags": "",
"mv": "chirp-v4",
"title": "title",
"continue_clip_id": "ca94a97d-d3f2-4a63-aeee-ba3a43384bcd",
"continue_at": 10,
"task": "upload_extend"
}cURL Example
bash
curl --location --request POST 'https://www.kkiai.com/suno/submit/music' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"prompt": "lyrics",
"tags": "",
"negative_tags": "",
"mv": "chirp-v4",
"title": "title",
"continue_clip_id": "ca94a97d-d3f2-4a63-aeee-ba3a43384bcd",
"continue_at": 10,
"task": "upload_extend"
}'Response
🟢 200 Success
Response Body
| Parameter Name | Type | Required | Description |
|---|---|---|---|
code | string | Required | |
data | string | Required | |
message | string | Required |
Response Example
json
{
"code": "success",
"data": "950bf3af-78a6-420e-8c01-3bde0bbb3ef9",
"message": ""
}